Subject: Re: Allow is not in 13.5.2

From: Mark Nottingham <[email-masked]>
Date: Mon, 1 Jan 2007 12:07:01 +1100

Added as i53;
   http://www.w3.org/Protocols/HTTP/1.1/rfc2616bis/issues/index.html#i53

On 2006/12/21, at 11:55 AM, Travis Snoozy (Volt) wrote:

>
> Section 14.7 states:
>
> "A proxy MUST NOT modify the Allow header field even if it does not
> understand all the methods specified, since the user agent might  
> have other
> means of communicating with the origin server."
>
> However, section 13.5.2 (Non-modifiable Headers) makes no mention  
> of Allow. This seems like an error, but I'm not entirely sure what  
> the fix should be -- remove 13.5.2 and push the (not-)modifiable  
> information in the definition of the respective headers, or to  
> maintain 13.5.2 in parallel with all of the header definitions, or  
> to push all the information out of the header definitions into 13.5.2.
>
> The easy fix for now would be to just make a mention of allow in  
> 13.5.2.
>
>
> -- Travis
>

--
Mark Nottingham     http://www.mnot.net/

---

From: "Travis Snoozy (Volt)" <[email-masked]>
Date: Tue, 2 Jan 2007 10:55:39 -0800

>    http://www.w3.org/Protocols/HTTP/1.1/rfc2616bis/issues/index.html#i53

Server is missing, too.